<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

?>

<fieldset id="users-profile-core">
	<legend>
		<?php echo JText::_('COM_USERS_PROFILE_CORE_LEGEND'); ?>
	</legend>
	
	<p>
		<strong>
			<?php echo JText::_('COM_USERS_PROFILE_NAME_LABEL'); ?>
		</strong>
		<span>
			<?php echo $this->data->name; ?>
		</span>
	</p>
		
	<p>
		<strong>
			<?php echo JText::_('COM_USERS_PROFILE_USERNAME_LABEL'); ?>
		</strong>
		<span>
			<?php echo htmlspecialchars($this->data->username); ?>
		</span>
	</p>
		
	<p>
		<strong>
			<?php echo JText::_('COM_USERS_PROFILE_REGISTERED_DATE_LABEL'); ?>
		</strong>
		<span>
			<?php echo JHtml::_('date', $this->data->registerDate); ?>
		</span>
	</p>
		
	<p>
		<strong>
			<?php echo JText::_('COM_USERS_PROFILE_LAST_VISITED_DATE_LABEL'); ?>
		</strong>
		<?php if ($this->data->lastvisitDate != '0000-00-00 00:00:00'){?>
			<span>
				<?php echo JHtml::_('date', $this->data->lastvisitDate); ?>
			</span>
		<?php }
		else {?>
			<span>
				<?php echo JText::_('COM_USERS_PROFILE_NEVER_VISITED'); ?>
			</span>
		<?php } ?>
	</p>		

</fieldset>
