<?php
/**
 * @copyright	Copyright (C) 2011 Simplify Your Web, Inc. All rights reserved.
 * @license		GNU General Public License version 3 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.filter.output');

// Note. It is important to remove spaces between elements.
$class = $item->anchor_css ? 'class="'.$item->anchor_css.'" ' : '';
$title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';

if ($item->menu_image) {
	
	//getting the image dimensions
	$imagesize = getimagesize($item->menu_image);
	$imagewidth = $imagesize[0];
	
	$item->params->get('menu_text', 1 ) ?
	$linktype = '<span class="withimage" style="background-image:url('.$item->menu_image.')"><span class="title" style="margin-left:'.$imagewidth.'px">'.$item->title.'</span>' :
	$linktype = '<span class="withimage" style="background-image:url('.$item->menu_image.')">';
	
	$linktype .= $item->anchor_title ? '<span class="description" style="margin-left:'.$imagewidth.'px">'.$item->anchor_title.'</span></span>' : '</span>';
}
else {
	$linktype = '<span><span>'.$item->title.'</span>';

	$linktype .= $item->anchor_title ? '<span class="description">'.$item->anchor_title.'</span></span>' : '</span>';
}
$flink = $item->flink;
$flink = JFilterOutput::ampReplace(htmlspecialchars($flink));

switch ($item->browserNav) :
	default:
	case 0:
?><a <?php echo $class; ?>href="<?php echo $flink; ?>" <?php echo $title; ?>><?php echo $linktype; ?></a><?php
		break;
	case 1:
		// _blank
?><a <?php echo $class; ?>href="<?php echo $flink; ?>" target="_blank" <?php echo $title; ?>><?php echo $linktype; ?></a><?php
		break;
	case 2:
		// window.open
		$options = 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,'.$params->get('window_open');
			?><a <?php echo $class; ?>href="<?php echo $flink; ?>" onclick="window.open(this.href,'targetWindow','<?php echo $options;?>');return false;" <?php echo $title; ?>><?php echo $linktype; ?></a><?php
		break;
endswitch;
